Update Promo Group Endpoint
curl --request PATCH \
--url https://api.example.com/cabinet/admin/promo-groups/{group_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"server_discount_percent": 123,
"traffic_discount_percent": 123,
"device_discount_percent": 123,
"period_discounts": {},
"auto_assign_total_spent_kopeks": 123,
"apply_discounts_to_addons": true,
"is_default": true
}
'import requests
url = "https://api.example.com/cabinet/admin/promo-groups/{group_id}"
payload = {
"name": "<string>",
"server_discount_percent": 123,
"traffic_discount_percent": 123,
"device_discount_percent": 123,
"period_discounts": {},
"auto_assign_total_spent_kopeks": 123,
"apply_discounts_to_addons": True,
"is_default": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
server_discount_percent: 123,
traffic_discount_percent: 123,
device_discount_percent: 123,
period_discounts: {},
auto_assign_total_spent_kopeks: 123,
apply_discounts_to_addons: true,
is_default: true
})
};
fetch('https://api.example.com/cabinet/admin/promo-groups/{group_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"server_discount_percent": 123,
"traffic_discount_percent": 123,
"device_discount_percent": 123,
"apply_discounts_to_addons": true,
"is_default": true,
"period_discounts": {},
"auto_assign_total_spent_kopeks": 123,
"members_count": 0,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Admin Promo Groups
Update Promo Group Endpoint
Update a promo group.
PATCH
/
cabinet
/
admin
/
promo-groups
/
{group_id}
Update Promo Group Endpoint
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Response
Successful Response
Show child attributes
Show child attributes
⌘I
